<div class="dashboard-heading" *ngIf="balancedata">

    <div class="all">
        <div class="starter-stats">


            <div class=" ">

                <div class="col-12  card card-4">
                    <h3 class="pt-2">Mon équilibre</h3>
                    <h5>Vue d'ensemble de l'équilibre</h5>
                    <div class="row">
                        <div class="col-lg-3 col-md-6 col-sm-12 col-12 pt-3">
                            <h6 class="mb-0">Solde du vendeur </h6>
                            <div class="account-box a-box">

                                <h1 style="font-weight: bold;"> <small><b></b></small> {{balancedata.data.pending_amount | number : '1.2-2'}} CFA </h1>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-6 col-sm-12 col-12 pt-3">
                            <h6 class="mb-0">Disponible au retrait</h6>
                            <div class="account-box a-box">

                                <h1 style="font-weight: bold;"> <small><b></b></small> {{balancedata.data.paid_amount | number : '1.2-2'}} CFA

                                    <a href="/dashboard/(seller:withdrawal)"> <button class="withdraw-button">Se retirer</button></a>
                                </h1>
                            </div>
                        </div>
                        <div class="col-lg-5 col-md-6 col-sm-12 col-12 pt-3">
                            <h6 class="mb-0">Mes comptes bancaires </h6>

                            <div class="row account-box ">
                                <div class="col-lg-3 col-sm-3 col-md-3 col-3 third-s">
                                    <div class="third-in">
                                        <i class="fa fa-bank"></i>
                                    </div>
                                </div>
                                <div class="col-lg-9 col-sm-9 col-md-9 col-9">
                                    <div class="p-10">
                                        <h6 class="f-w-600">
                                            <font style="vertical-align: inherit;">
                                                <font style="vertical-align: inherit;">{{ balancedata.data.accounts[0].bank_name | uppercase}}</font>
                                            </font>
                                        </h6>
                                        <h6 class="f-w-600">
                                            <font style="vertical-align: inherit;">
                                                <font style="vertical-align: inherit;">{{ balancedata.data.accounts[0].iban | uppercase}}</font>
                                            </font>
                                        </h6>
                                        <p class="para">
                                            <font style="vertical-align: inherit;">
                                                <font style="vertical-align: inherit;">
                                                    T{{balancedata.data.accounts[0].account_number}}</font>
                                            </font>
                                        </p>
                                    </div>
                                </div>
                            </div>

                        </div>

                    </div>

                </div>

                <div class="col-12  card card-4 pt-3">
                    <h5>Transactions récentes</h5>
                    <div class="col-lg-12 p-0">
                        <div class="row mb-3">
                            <div class="col-lg-12 col-md-12 col-sm-12 col-12 ">
                                <!-- <div class="">
                                    <div class="row">
                                        <div class="col-lg-4 col-md-4 col-sm-4 col-6">
                                            <label for=""><b>De:</b></label><input type="date" class="form-control out-0">
                                        </div>
                                        <div class="col-lg-4 col-md-4 col-sm-4 col-6">
                                            <label for=""><b>A:</b></label><input type="date" class="form-control out-0">
                                        </div>
                                        <div class="col-lg-4 col-md-4 col-sm-4 col-12 text-center ase">
                                            <button class="btn btn-back w-100 filter-button mob-mt filter-button"><b>Filtre</b></button>
                                        </div>
                                    </div>
                                </div> -->
                                <form>
                                    <div class="">
                                        <div class="clearfix"></div>
                                        <div class="row">
                                            <div class="col-lg-9 col-md-9 col-sm-9 col-12">
                                                <div class="row">
                                                    <div class="col-lg-6 col-md-6 col-sm-6 col-6 a-s-e r-chr1">
                                                        <div class="dg">
                                                            <label class="form-label w-100" for="">Date de début: &nbsp;</label>

                                                            <mat-form-field>
                                                                <input matInput [matDatepicker]="dp" placeholder="dd/mm/aaaa">
                                                                <mat-datepicker-toggle matSuffix [for]="dp"></mat-datepicker-toggle>
                                                                <mat-datepicker #dp></mat-datepicker>
                                                            </mat-form-field>
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-6 col-md-6 col-sm-6 col-6 a-s-e r-chr1">
                                                        <div class="dg">
                                                            <label for="" class="form-label w-100"> Date de fin : &nbsp;</label>

                                                            <mat-form-field>
                                                                <input matInput [matDatepicker]="dp1" placeholder="mm/dd/aaaa">
                                                                <mat-datepicker-toggle matSuffix [for]="dp1"></mat-datepicker-toggle>
                                                                <mat-datepicker #dp1></mat-datepicker>
                                                            </mat-form-field>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-lg-3 col-md-3 col-sm-3 col-12 a-s-e r-chr1">
                                                <button class="btn btn-back w-100 filter-button filter-button" style="" type="submit">Recherche</button>
                                            </div>
                                        </div>
                                        <div class="clearfix"></div>

                                    </div>

                                </form>
                            </div>
                            <div class="col-lg-12 col-md-12 col-sm-12 col-12 "><br>
                                <div class="table-responsive">
                                    <table class="table table-bordered tbl-sell tbl-txt">
                                        <thead class="th-bg">
                                            <tr>
                                                <th>Date</th>
                                                <th>Type</th>
                                                <th>Description</th>
                                                <th>Montant</th>
                                                <th>Statut</th>
                                            </tr>
                                        </thead>
                                        <tbody *ngIf="balancedata">
                                            <tr *ngFor="let bank of balancedata.data.allpaymentrequests">
                                                <td width="15%">{{bank.request_date |date:'MMM d, y, hh\'h\'mm'}}

                                                </td>
                                                <td width="25%">
                                                    <p> <i class="fas fa-file-invoice" style="color: #14abfa; font-size: 16px;"></i>Income from order {{bank.bank_id }}</p>
                                                </td>
                                                <td width="25%">
                                                    <p>{{bank.note }}</p>
                                                </td>
                                                <td style="color: green;">
                                                    {{bank.request_amount}} CFA
                                                </td>
                                                <td>

                                                    <div class='badge' style="color: green;" *ngIf=" bank.is_rejected == true ">
                                                        Completed
                                                    </div>
                                                    <div class='badge' style="color: red;" *ngIf=" bank.is_rejected == false ">
                                                        En attente
                                                    </div>
                                                </td>
                                            </tr>

                                            <tr *ngIf="balancedata.data.allpaymentrequests.length == 0">
                                                <td colspan="5">
                                                    <div class="col-12" style="display: flex;
                                                    justify-content: center;">
                                                        <img class="mw-100" src="./assets/build/img/not2.png" style="height: auto;
    width: 25%; border-radius: 0% !important;">
                                                    </div>
                                                </td>
                                            </tr>

                                        </tbody>
                                    </table>
                                </div>
                            </div>



                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>